- hosts: local
  become: yes
  gather_facts: no
  vars_files:
    - "{{inventory_dir}}/secrets.yml"
  environment:
        AZURE_STORAGE_ACCOUNT: "{{ azure_plugin_storage_account_name }}"
        AZURE_STORAGE_KEY: "{{ azure_plugin_storage_account_key }}"
  tasks:
    - name: delte plugin org_sunbird_questionunit_quml
      command: "az storage blob delete-batch --source {{ plugin_container_name }} --pattern content-plugins/{{ plugins_name }}"
      async: 3600
      poll: 10  
      tags:
        - org_sunbird_questionunit_quml
    
    - name: upload plugin org_sunbird_questionunit_quml
      command: "az storage blob upload-batch --destination {{ plugin_container_name }}/content-plugins/{{ plugins_name }} --source {{ source_file }}"
      async: 3600
      poll: 10  
      tags:
        - org_sunbird_questionunit_quml
